From 51cc8ee0618e262422ee547f5f5150391e9cc3cf Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:18 +0000
Subject: [PATCH 448/2232] Fix module path of Vec in generated Rust code


---

diff --git a/syntax/tokens.rs b/syntax/tokens.rs
index 2962a2b..13cbfcf 100644
--- a/syntax/tokens.rs
+++ b/syntax/tokens.rs
@@ -35,9 +35,12 @@ impl ToTokens for Var {
 
 impl ToTokens for Ty1 {
     fn to_tokens(&self, tokens: &mut TokenStream) {
-        if let "UniquePtr" | "RustVec" | "CxxVector" = self.name.to_string().as_str() {
-            let span = self.name.span();
+        let span = self.name.span();
+        let name = self.name.to_string();
+        if let "UniquePtr" | "CxxVector" = name.as_str() {
             tokens.extend(quote_spanned!(span=> ::cxx::));
+        } else if name == "Vec" {
+            tokens.extend(quote_spanned!(span=> ::std::vec::));
         }
         self.name.to_tokens(tokens);
         self.langle.to_tokens(tokens);

